about summary refs log tree commit diff
path: root/tests/remote-store.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2008-12-04T16·55+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2008-12-04T16·55+0000
commit67958f21df2cac2adfb8b8ae33a4200f49d6add6 (patch)
tree29de817eec0641c375d41537cff05a270528e6cb /tests/remote-store.sh
parentd91dc086bb61613f42fa5c2663e1c82e0567f78a (diff)
* Be sure to clean up the daemon if the test fails.
Diffstat (limited to 'tests/remote-store.sh')
-rw-r--r--tests/remote-store.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/remote-store.sh b/tests/remote-store.sh
index 1e5a4356e5e1..260fdeb764a9 100644
--- a/tests/remote-store.sh
+++ b/tests/remote-store.sh
@@ -12,6 +12,8 @@ clearStore
 clearManifests
 $nixworker --daemon &
 pidDaemon=$!
+trap "kill -9 $pidDaemon" EXIT
 NIX_REMOTE=daemon $SHELL ./user-envs.sh
 kill -9 $pidDaemon
 wait $pidDaemon || true
+trap "" EXIT